Vector::BLF::AfdxStatistic(3)

NAME
Vector::BLF::AfdxStatistic - AFDX_STATISTIC.

SYNOPSIS

#include <AfdxStatistic.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Flags : uint16_t { ChannelIsConfigured = 0x0001, HwRelatedCountersValid = 0x0002, CanWinRelatedCountersAreValid = 0x0004, LinkRelatedInfoIsValud = 0x0008, InvalidPacketCounterIsValid = 0x0010, LostPacketCounterIsValud = 0x0020, DroppedPacketCounterIsValid = 0x0040, ByteCountersAreBasedOnCanWinPackets = 0x0080 }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint16_t flags {}
uint32_t rxPacketCount {}
uint32_t rxByteCount {}
uint32_t txPacketCount {}
uint32_t txByteCount {}
uint32_t collisionCount {}
uint32_t errorCount {}
uint32_t statDroppedRedundantPacketCount {}
uint32_t statRedundantErrorPacketCount {}
uint32_t statIntegrityErrorPacketCount {}
uint32_t statAvrgPeriodMsec {}
uint32_t statAvrgJitterMysec {}
uint32_t vlid {}
uint32_t statDuration {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

AFDX_STATISTIC. AFDX statistic event per virtual link. AFDX combined bus- and VL- statistic event; used before 8.2

Member Enumeration Documentation

  enum Vector::BLF::AfdxStatistic::Flags : uint16_t
enumeration for flags

Enumerator

ChannelIsConfigured
    channel is configured

HwRelatedCountersValid
    HW related counters valid

CanWinRelatedCountersAreValid
    CANwin related counters are valid

LinkRelatedInfoIsValud
    link-related info is valid

InvalidPacketCounterIsValid
    invalid packet counter is valid

LostPacketCounterIsValud
    lost packet counter is valid

DroppedPacketCounterIsValid
    dropped packet counter is valid

ByteCountersAreBasedOnCanWinPackets
    byte counters are based on CANwin packets, not HW

Member Function Documentation

  uint32_t Vector::BLF::AfdxStatistic::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AfdxStatistic::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AfdxStatistic::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::AfdxStatistic::channel {}

application channel The channel of the frame.

  uint32_t Vector::BLF::AfdxStatistic::collisionCount {}
Number of collisions since last statistic event.

  uint32_t Vector::BLF::AfdxStatistic::errorCount {}
Number of errors since last statistic event.

  uint16_t Vector::BLF::AfdxStatistic::flags {}
flags

  uint32_t Vector::BLF::AfdxStatistic::rxByteCount {}
Number of Rx bytes since last statistic event.

  uint32_t Vector::BLF::AfdxStatistic::rxPacketCount {}
Number of Rx packets since last statistic event.

  uint32_t Vector::BLF::AfdxStatistic::statAvrgJitterMysec {}
Average jitter of the time period of frames on this VL in [mysec].

  uint32_t Vector::BLF::AfdxStatistic::statAvrgPeriodMsec {}
Average period of frames on this VL in [msec].

  uint32_t Vector::BLF::AfdxStatistic::statDroppedRedundantPacketCount {}
Number of dropped packet due to redundancy check since last statistic event.

  uint32_t Vector::BLF::AfdxStatistic::statDuration {}
Time period covered by this event in [msec].

  uint32_t Vector::BLF::AfdxStatistic::statIntegrityErrorPacketCount {}
Number of errors found at integrity check since last statistic event.

  uint32_t Vector::BLF::AfdxStatistic::statRedundantErrorPacketCount {}
Number of errors found at redundancy check since last statistic event.

  uint32_t Vector::BLF::AfdxStatistic::txByteCount {}
Number of Tx bytes since last statistic event.

  uint32_t Vector::BLF::AfdxStatistic::txPacketCount {}
Number of Tx packets since last statistic event.

  uint32_t Vector::BLF::AfdxStatistic::vlid {}
Unique ID assigned to this VL.

Author

Generated automatically by Doxygen for Vector BLF from the source code.